| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ConverterID Class Reference

`#include <CnvFactory.h>`

List of all members.

## Detailed Description

Definition at line 31 of file CnvFactory.h.

## Public Member Functions
| ConverterID (long stype, CLID clid)
| ~ConverterID ()
bool | operator== (const ConverterID &id) const
## Private Attributes
long | m_stype
CLID | m_clid
## Friends
std::ostream & | operator<< (std::ostream &, const ConverterID &)

## Constructor & Destructor Documentation

ConverterID::ConverterID | ( | long | stype,
|  | CLID | clid |
| ) |  |  | `[inline]`

Definition at line 33 of file CnvFactory.h.

    00033 : m_stype(stype), m_clid(clid) {}

ConverterID::~ConverterID | ( |  | ) | `[inline]`

Definition at line 34 of file CnvFactory.h.

    00034 {}

## Member Function Documentation

bool ConverterID::operator== | ( | const ConverterID & | id | ) | const`[inline]`

Definition at line 35 of file CnvFactory.h.

References m_clid, and m_stype.

    00035 { return m_stype == id.m_stype && m_clid == id.m_clid; }

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | s,
|  | const ConverterID & | id |
| ) |  |  | `[friend]`

Definition at line 42 of file CnvFactory.h.

    00042                                                                        {
    00043     s << "CNV_" << id.m_stype << "_" << id.m_clid;
    00044     return s;
    00045 }

## Member Data Documentation

long ConverterID::m_stype`[private]`

Definition at line 38 of file CnvFactory.h.

Referenced by operator==().

CLID ConverterID::m_clid`[private]`

Definition at line 39 of file CnvFactory.h.

Referenced by operator==().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/CnvFactory.h